# Update a Booking Link

Updates a booking link using the provided parameters.

Endpoint: PATCH /v1/booking_links/{id}
Version: 1.0.0
Security: apiKeyAuth, practiceGroupId

## Security:

  - `apiKeyAuth` (unknown)
    apiKey in header x-api-key

  - `practiceGroupId` (unknown)
    apiKey in header x-practice-group-id

## Path parameters:

  - `id` (string, required)

## Request fields (application/json):

  - `appointment_type_id` (any)

  - `location_id` (any)

  - `practitioner_id` (any)

  - `expiry_date` (string)
    ISO 8601 date format
    Example: 1989-04-11

  - `maximum_use_count` (number)

  - `from_date` (string)
    Display only the slots available after this date
    Example: 1989-04-11

  - `to_date` (string)
    Display only the slots available before this date
    Example: 1989-04-11

  - `active` (boolean)

  - `link_name` (string)

## Response 200:

  - `200` (unknown)
    Ok

## Response 200 fields (application/json):

  - `booking_link` (string, required)

  - `short_link_id` (string, required)

## Response 400:

  - `400` (unknown)
    Validation error

## Response 400 fields (application/json):

  - `error` (boolean, required)
    Example: true

  - `statusCode` (number, required)
    Example: 400

  - `message` (array, required)

  - `message.code` (string, required)
    Example: invalid_type

  - `message.expected` (string, required)
    Example: string

  - `message.path` (array, required)
    Example: ["patient_id"]

  - `message.message` (string, required)
    Example: Required

## Response 401:

  - `401` (unknown)
    Unauthorised

## Response 422:

  - `422` (unknown)
    Patient inexistent and/or Appointment Type inexistent

## Response 429:

  - `429` (unknown)
    Too Many Requests

## Response 500:

  - `500` (unknown)
    Unknown error

